Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class X509Factory

    java.lang.Object
      |
      +--java.security.cert.CertificateFactorySpi
            |
            +--com.ibm.crypto.fips.provider.X509Factory

public class X509Factory
extends java.security.cert.CertificateFactorySpi

This class defines a certificate factory for X.509 v3 certificates and X.509 v2 certificate revocation lists (CRLs).

Version:
  1.6
Author:
  Jan Luehe, Hemma Prafullchandra
See Also:
  `CertificateFactorySpi`, `Certificate`, `CRL`, `X509Certificate`, `X509CRL`, `X509CertImpl`, `X509CRLImpl`

Field Summary
`static java.lang.String` | `BEGIN_CERT`
`static java.lang.String` | `END_CERT`
`protected static java.lang.String` | `pkcs7String`
`protected static java.lang.String` | `pkipString`
`protected static java.lang.String` | `x509String`

Constructor Summary
`X509Factory()`

Method Summary
`java.security.cert.Certificate` | `engineGenerateCertificate(java.io.InputStream is)` Generates an X.509 certificate object and initializes it with the data read from the input stream `is`.
`java.util.Collection` | `engineGenerateCertificates(java.io.InputStream is)` Returns a (possibly empty) collection view of X.509 certificates read from the given input stream `is`.
`java.security.cert.CertPath` | `engineGenerateCertPath(java.io.InputStream inStream)` Generates a CertPath object and initializes it with the data read from the input stream inStream.
`java.security.cert.CertPath` | `engineGenerateCertPath(java.io.InputStream inStream, java.lang.String encoding)` Generates a `CertPath` object and initializes it with the data read from the input stream inStream.
`java.security.cert.CertPath` | `engineGenerateCertPath(java.util.List certificates)` Generates a CertPath object and initializes it with the list of certificates supplied.
`java.security.cert.CRL` | `engineGenerateCRL(java.io.InputStream is)` Generates an X.509 certificate revocation list (CRL) object and initializes it with the data read from the given input stream `is`.
`java.util.Collection` | `engineGenerateCRLs(java.io.InputStream is)` Returns a (possibly empty) collection view of X.509 CRLs read from the given input stream `is`.
`java.util.Iterator` | `engineGetCertPathEncodings()` Returns the encodings supported by this certification path factory, with the default encoding first.
`protected java.security.cert.Certificate` | `internalGenerateCertificate(java.io.InputStream is)` Generates an X.509 certificate object and initializes it with the data read from the input stream `is`.
`protected java.util.Collection` | `internalGenerateCertificates(java.io.InputStream is)` Returns a (possibly empty) collection view of X.509 certificates read from the given input stream `is`.
`protected java.security.cert.CertPath` | `internalGenerateCertPath(java.io.InputStream inStream)` Generates a CertPath object and initializes it with the data read from the input stream inStream.
`protected java.security.cert.CertPath` | `internalGenerateCertPath(java.io.InputStream inStream, java.lang.String encoding)` Generates a `CertPath` object and initializes it with the data read from the input stream inStream.
`protected java.security.cert.CertPath` | `internalGenerateCertPath(java.util.List certificates)` Generates a CertPath object and initializes it with the list of certificates supplied.
`protected java.security.cert.CRL` | `internalGenerateCRL(java.io.InputStream is)` Generates an X.509 certificate revocation list (CRL) object and initializes it with the data read from the given input stream `is`.
`protected java.util.Collection` | `internalGenerateCRLs(java.io.InputStream is)` Returns a (possibly empty) collection view of X.509 CRLs read from the given input stream `is`.
`protected java.util.Iterator` | `internalGetCertPathEncodings()` Returns the encodings supported by this certification path factory, with the default encoding first.
`boolean` | `isFipsApproved()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN_CERT

    public static final java.lang.String BEGIN_CERT

### END_CERT

    public static final java.lang.String END_CERT

### pkcs7String

    protected static final java.lang.String pkcs7String

### pkipString

    protected static final java.lang.String pkipString

### x509String

    protected static final java.lang.String x509String

Constructor Detail

### X509Factory

    public X509Factory()

Method Detail

### isFipsApproved

    public boolean isFipsApproved()

  See Also:
    `AlgorithmStatus.isFipsApproved()`

### engineGenerateCertificate

    public java.security.cert.Certificate engineGenerateCertificate(java.io.InputStream is)
                                                             throws java.security.cert.CertificateException

  Generates an X.509 certificate object and initializes it with the data read from the input stream `is`.
  Overrides:
    `engineGenerateCertificate` in class `java.security.cert.CertificateFactorySpi`
  Parameters:
    `is` - an input stream with the certificate data.
  Returns:
    an X.509 certificate object initialized with the data from the input stream.
  Throws:
    `java.security.cert.CertificateException` - on parsing errors.
    `FIPSRuntimeException` - if the module is not runnable.

### internalGenerateCertificate

    protected java.security.cert.Certificate internalGenerateCertificate(java.io.InputStream is)
                                                                  throws java.security.cert.CertificateException

  Generates an X.509 certificate object and initializes it with the data read from the input stream `is`.
  Parameters:
    `is` - an input stream with the certificate data.
  Returns:
    an X.509 certificate object initialized with the data from the input stream.
  Throws:
    `java.security.cert.CertificateException` - on parsing errors.

### engineGenerateCertificates

    public java.util.Collection engineGenerateCertificates(java.io.InputStream is)
                                                    throws java.security.cert.CertificateException

  Returns a (possibly empty) collection view of X.509 certificates read from the given input stream `is`.
  Overrides:
    `engineGenerateCertificates` in class `java.security.cert.CertificateFactorySpi`
  Parameters:
    `is` - the input stream with the certificates.
  Returns:
    a (possibly empty) collection view of X.509 certificate objects initialized with the data from the input stream.
  Throws:
    `java.security.cert.CertificateException` - on parsing errors.
    `FIPSRuntimeException` - if the module is not runnable.

### internalGenerateCertificates

    protected java.util.Collection internalGenerateCertificates(java.io.InputStream is)
                                                         throws java.security.cert.CertificateException

  Returns a (possibly empty) collection view of X.509 certificates read from the given input stream `is`.
  Parameters:
    `is` - the input stream with the certificates.
  Returns:
    a (possibly empty) collection view of X.509 certificate objects initialized with the data from the input stream.
  Throws:
    `java.security.cert.CertificateException` - on parsing errors.

### engineGenerateCRL

    public java.security.cert.CRL engineGenerateCRL(java.io.InputStream is)
                                             throws java.security.cert.CRLException

  Generates an X.509 certificate revocation list (CRL) object and initializes it with the data read from the given input stream `is`.
  Overrides:
    `engineGenerateCRL` in class `java.security.cert.CertificateFactorySpi`
  Parameters:
    `is` - an input stream with the CRL data.
  Returns:
    an X.509 CRL object initialized with the data from the input stream.
  Throws:
    `java.security.cert.CRLException` - on parsing errors.
    `FIPSRuntimeException` - if the module is not runnable.

### internalGenerateCRL

    protected java.security.cert.CRL internalGenerateCRL(java.io.InputStream is)
                                                  throws java.security.cert.CRLException

  Generates an X.509 certificate revocation list (CRL) object and initializes it with the data read from the given input stream `is`.
  Parameters:
    `is` - an input stream with the CRL data.
  Returns:
    an X.509 CRL object initialized with the data from the input stream.
  Throws:
    `java.security.cert.CRLException` - on parsing errors.

### engineGenerateCRLs

    public java.util.Collection engineGenerateCRLs(java.io.InputStream is)
                                            throws java.security.cert.CRLException

  Returns a (possibly empty) collection view of X.509 CRLs read from the given input stream `is`.
  Overrides:
    `engineGenerateCRLs` in class `java.security.cert.CertificateFactorySpi`
  Parameters:
    `is` - the input stream with the CRLs.
  Returns:
    a (possibly empty) collection view of X.509 CRL objects initialized with the data from the input stream.
  Throws:
    `java.security.cert.CRLException` - on parsing errors.
    `FIPSRuntimeException` - if the module is not runnable.

### internalGenerateCRLs

    protected java.util.Collection internalGenerateCRLs(java.io.InputStream is)
                                                 throws java.security.cert.CRLException

  Returns a (possibly empty) collection view of X.509 CRLs read from the given input stream `is`.
  Parameters:
    `is` - the input stream with the CRLs.
  Returns:
    a (possibly empty) collection view of X.509 CRL objects initialized with the data from the input stream.
  Throws:
    `java.security.cert.CRLException` - on parsing errors.

### engineGenerateCertPath

    public java.security.cert.CertPath engineGenerateCertPath(java.io.InputStream inStream)
                                                       throws java.security.cert.CertificateException

  Generates a CertPath object and initializes it with the data read from the input stream inStream. The data is assumed to be in the default encoding.
  Parameters:
    `inStream` - an input stream with the data
  Returns:
    a `CertPath` initialized with the data from the input stream
  Throws:
    ``CertificateException`` - if an exception occurs
    `FIPSRuntimeException` - if the module is not runnable.

### internalGenerateCertPath

    protected java.security.cert.CertPath internalGenerateCertPath(java.io.InputStream inStream)
                                                            throws java.security.cert.CertificateException

  Generates a CertPath object and initializes it with the data read from the input stream inStream. The data is assumed to be in the default encoding.
  Parameters:
    `inStream` - an input stream with the data
  Returns:
    a `CertPath` initialized with the data from the input stream
  Throws:
    ``CertificateException`` - if an exception occurs

### engineGenerateCertPath

    public java.security.cert.CertPath engineGenerateCertPath(java.io.InputStream inStream,
                                                              java.lang.String encoding)
                                                       throws java.security.cert.CertificateException

  Generates a `CertPath` object and initializes it with the data read from the input stream inStream. The data is assumed to be in the specified encoding.
  Parameters:
    `inStream` - an input stream with the data
    `encoding` - the encoding used for the data
  Returns:
    a `CertPath` initialized with the data from the input stream
  Throws:
    ``CertificateException`` - if an exception occurs
    `FIPSRuntimeException` - if the module is not runnable.

### internalGenerateCertPath

    protected java.security.cert.CertPath internalGenerateCertPath(java.io.InputStream inStream,
                                                                   java.lang.String encoding)
                                                            throws java.security.cert.CertificateException

  Generates a `CertPath` object and initializes it with the data read from the input stream inStream. The data is assumed to be in the specified encoding.
  Parameters:
    `inStream` - an input stream with the data
    `encoding` - the encoding used for the data
  Returns:
    a `CertPath` initialized with the data from the input stream
  Throws:
    ``CertificateException`` - if an exception occurs

### engineGenerateCertPath

    public java.security.cert.CertPath engineGenerateCertPath(java.util.List certificates)
                                                       throws java.security.cert.CertificateException

  Generates a CertPath object and initializes it with the list of certificates supplied. The certificates supplied must be of a type supported by the CertPathFactory.
  Parameters:
    `certificates` - a `List` of Certificates
  Returns:
    a `CertPath` initialized with the supplied list of certificates
  Throws:
    ``CertificateException`` - if an exception occurs
    `FIPSRuntimeException` - if the module is not runnable.

### internalGenerateCertPath

    protected java.security.cert.CertPath internalGenerateCertPath(java.util.List certificates)
                                                            throws java.security.cert.CertificateException

  Generates a CertPath object and initializes it with the list of certificates supplied. The certificates supplied must be of a type supported by the CertPathFactory.
  Parameters:
    `certificates` - a `List` of Certificates
  Returns:
    a `CertPath` initialized with the supplied list of certificates
  Throws:
    ``CertificateException`` - if an exception occurs

### engineGetCertPathEncodings

    public java.util.Iterator engineGetCertPathEncodings()

  Returns the encodings supported by this certification path factory, with the default encoding first.
  Returns:
    an `Iterator` of the encodings supported
  Throws:
    `FIPSRuntimeException` - if the module is not runnable.

### internalGetCertPathEncodings

    protected java.util.Iterator internalGetCertPathEncodings()

  Returns the encodings supported by this certification path factory, with the default encoding first.
  Returns:
    an `Iterator` of the encodings supported

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD